Loading...
Searching...
No Matches
juce::ScheduledEventThread< Event > Class Template Reference

The documentation for this class was generated from the following file:

- juce_audio_devices/midi_io/juce_ScheduledEventThread.h

Inheritance diagram for juce::ScheduledEventThread< Event >:

## Public Types

using | OutputCallback = std::function<void (const Event&)>

## Public Member Functions

| ScheduledEventThread (OutputCallback &&c)
| ~ScheduledEventThread () override
void | clearAllPendingMessages ()
void | start ()
void | stop ()
void | addEvent (const Event &event)
bool | isRunning () const

## Member Typedef Documentation

## OutputCallback

template<typename Event>

using juce::ScheduledEventThread< Event >::OutputCallback = std::function<void (const Event&)>

## Constructors and Destructors

## ScheduledEventThread()

template<typename Event>

juce::ScheduledEventThread< Event >::ScheduledEventThread | ( | OutputCallback && | c | ) |

inline explicit

References jassert, and juce::Thread::Thread().

## ~ScheduledEventThread()

template<typename Event>

juce::ScheduledEventThread< Event >::~ScheduledEventThread | ( |  | ) |

inline override

References stop().

## Member Functions

## clearAllPendingMessages()

template<typename Event>

void juce::ScheduledEventThread< Event >::clearAllPendingMessages | ( |  | ) |

inline

## start()

template<typename Event>

void juce::ScheduledEventThread< Event >::start | ( |  | ) |

inline

References juce::Thread::startThread().

## stop()

template<typename Event>

void juce::ScheduledEventThread< Event >::stop | ( |  | ) |

inline

References juce::Thread::stopThread().

Referenced by ~ScheduledEventThread().

## addEvent()

template<typename Event>

void juce::ScheduledEventThread< Event >::addEvent | ( | const Event & | event | ) |

inline

References juce::Thread::isThreadRunning(), and jassert.

## isRunning()

template<typename Event>

bool juce::ScheduledEventThread< Event >::isRunning | ( |  | ) | const

inline

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited